
$(function(){
	if($.browser.msie){
		if ($.browser.version==6.0 || $.browser.version==7.0){
			$("#lazyLoad img,#tvLive img").lazyload({
				effect: "show",
				threshold : 100
			});
		}
		else {
		$("#lazyLoad img,#tvLive img").lazyload({
				effect: "fadeIn",
				threshold : 100
			});
		}
	}
	else {
		$("#lazyLoad img,#tvLive img").lazyload({
				effect: "fadeIn",
				threshold : 100
			});
	};
	

	leftCategories();
	

	var slideShowFlag;
	var slideShowOn=true;
	slideShowAutoEq=0;
	slideShowAuto ();
	$("#slideShow>ol>li").mouseover(function(){
		slideShowOn=false;
		slideShow($(this));
	});
	$("#slideShow").mouseleave(function(){
		if (!slideShowOn) {
			slideShowOn=true;
			slideShowAuto();
		}
		else {return false;}
	});
	

	var marqueeFlag;
	var marqueeOn=true;
	marqueeAuto();
	$("#marqueeRight,#marqueeLeft").focus(function(){
		$(this).blur();
	});
	$("#marqueeRight").click(function(){
		marqueeStop();
		marqueeOn=false;
		marqueeRight();
	});
	$("#marqueeLeft").click(function(){
		marqueeStop();
		marqueeOn=false;
		marqueeLeft();
	});
	$("#marqueeAuto").mouseleave(function(){
		if (!marqueeOn) {
			marqueeOn=true;
			marqueeAuto();
		}
		else {return false;}
	});
	

	tvLive();
	
	
	var marqueeTwoFlag;
	var marqueeTwoOn=true;
	marqueeTwoAuto();
	$("#marqueeTwoRight,#marqueeTwoLeft").focus(function(){
		$(this).blur();
	});
	$("#marqueeTwoRight").click(function(){
		marqueeTwoStop();
		marqueeTwoOn=false;
		marqueeTwoRight();
	});
	$("#marqueeTwoLeft").click(function(){
		marqueeTwoStop();
		marqueeTwoOn=false;
		marqueeTwoLeft();
	});
	$("#marqueeTwo").mouseleave(function(){
		if (!marqueeTwoOn) {
			marqueeTwoOn=true;
			marqueeTwoAuto();
		}
		else {return false;}
	});
	
	/*二屏 商品切换*/
	var goodsTabFlag;
	var goodsTabOn=true;
	goodsTabAutoEq=0;
	goodsTabAuto ();
	$("#goodsTab>li").mouseover(function(){
		goodsTabOn=false;
		goodsTab($(this));
	});
	$("dl.goodsTabSub").mouseover(function(){
		goodsTabOn=false;
		goodsTabStop();
	});
	$("#goodsTab").parent("div.siderL").mouseleave(function(){
		if (!goodsTabOn) {
			goodsTabOn=true;
			goodsTabAuto ();
		}
	});
	

	topSales();
	
	
	$("#tvLiveContent>ul>li,.goodsTabSub>dd,.goodsTabSub>dt,.goodsList .siderL ul li").mouseover(function(){
		$(this).addClass("border3");
	}).mouseout(function(){
		$(this).removeClass("border3")
	})
});

/************************** 自定义函数 *********************************/

function leftCategories() {
	$("div.cateLv_1")
	.mouseover(function(){
		$(this).css("z-index",9000).siblings("div.cateLv_1").removeAttr("style").end().children("h6").css("z-index",8002).end().siblings().children("h6").css("z-index",8000);
		$(this).children("div.cateLv_3").show().end().children("h6").children("a").addClass("show");
	}).mouseout(function(){
		$(this).children("div.cateLv_3").hide().end().children("h6").children("a").removeClass("show");;
	});
};


function slideShow(_this) {
	slideShowStop();
	$("#slideShow>ul>li").stop(false,true);
	var _eq=_this.index();
	var _img=$("#slideShow>ul>li:eq("+_eq+")>a>img")
	var _src=_img.attr("src");
	var _trueImgSrc=_img.attr("alt");
	if (_src.indexOf("images/loading.gif") != -1) {
		preLoadImg (_img,_src,_trueImgSrc)
	};
	$("#slideShow>ol>li:eq("+_eq+")").addClass("active").siblings().removeClass("active");
	$("#slideShow>ul>li:eq("+_eq+")").fadeIn(300).siblings().fadeOut(300);
};
function slideShowAuto() {
	if (slideShowAutoEq==0) {
		var _eq=0;
		slideShowAutoEq=1;
	}
	else {
		var _eq=$("#slideShow>ol>li.active").index();
		var _max=parseInt($("#slideShow>ol>li").size())-1;
		_eq==_max?_eq=0:_eq++;
	}
	var _img=$("#slideShow>ul>li:eq("+_eq+")>a>img")
	var _src=_img.attr("src");
	var _trueImgSrc=_img.attr("alt");
	if (_src && _src.indexOf("images/loading.gif") != -1) {
		preLoadImg (_img,_src,_trueImgSrc)
	};
	$("#slideShow>ol>li:eq("+_eq+")").addClass("active").siblings().removeClass("active");
	$("#slideShow>ul>li:eq("+_eq+")").fadeIn(500).siblings().fadeOut(500);
	window.slideShowFlag=setTimeout(slideShowAuto,4000);
	
};
function slideShowStop() {
	clearTimeout(slideShowFlag);
};


function marqueeRight() {
	$("#marquee>ul>li:animated").stop(false,true);
	$("#marquee>ul>li:eq(0)").animate({marginLeft:"-453px"},1000,function(){
		$("#marquee>ul>li:eq(0)").removeAttr("style").appendTo("#marquee>ul");
	});
};
function marqueeLeft() {
	$("#marquee>ul>li:animated").stop(false,true);
	$("#marquee>ul>li:last").css("margin-left","-453px").prependTo("#marquee>ul");
	$("#marquee>ul>li:eq(0)").animate({marginLeft:"0"},1000);
};
function marqueeAuto() {
	window.marqueeFlag=setInterval(marqueeRight,5000);
};

function marqueeStop() {
	clearInterval(marqueeFlag);
};


function tvLive() {
	$("#tvLiveHeader>ul>li").mouseover(function(){
		$(this).addClass("active").siblings().removeClass("active");
		var _eq=$(this).index();
		$("#tvLiveContent>ul:eq("+_eq+")").show().siblings().hide();
	});
};


function marqueeTwoRight() {
	$("#marqueeTwoInner>ul>li:animated").stop(false,true);
	$("#marqueeTwoInner>ul>li:eq(0)").animate({marginLeft:"-210px"},1000,function(){
	$("#marqueeTwoInner>ul>li:eq(0)").removeAttr("style").appendTo("#marqueeTwoInner>ul");
	});
};
function marqueeTwoLeft() {
	$("#marqueeTwoInner>ul>li:animated").stop(false,true);
	$("#marqueeTwoInner>ul>li:last").css("margin-left","-210px").prependTo("#marqueeTwoInner>ul");
	$("#marqueeTwoInner>ul>li:eq(0)").animate({marginLeft:"0"},1000);
};
function marqueeTwoAuto() {
	window.marqueeTwoFlag=setInterval(marqueeTwoRight,6000);
};

function marqueeTwoStop() {
	clearInterval(marqueeTwoFlag);
};


function goodsTab(_this) {
	goodsTabStop();
	$("dl.goodsTabSub").stop(false,true);
	var _eq=_this.index();
	_this.addClass("active").siblings().removeClass("active");
	$("dl.goodsTabSub:eq("+_eq+")").show().siblings(".goodsTabSub").hide();
};
function goodsTabAuto() {
	if (goodsTabAutoEq==0) {
		var _eq=0;
		goodsTabAutoEq=1;
	}
	else {
		var _eq=$("#goodsTab>li.active").index();
		var _max=parseInt($("#goodsTab>li").size())-1;
		_eq==_max?_eq=0:_eq++;
	}
	$("#goodsTab>li:eq("+_eq+")").addClass("active").siblings().removeClass("active");
	$("dl.goodsTabSub:eq("+_eq+")").show().siblings(".goodsTabSub").hide();
	window.goodsTabFlag=setTimeout(goodsTabAuto,4000);
	
};
function goodsTabStop() {
	clearTimeout(goodsTabFlag);
};



function topSales() {
	$(".showMore>li").mouseover(function(){
		$(this).children("p").hide().end().siblings().children("p").show();
		$(this).children("div").show().end().siblings().children("div").hide();
	});
};

function preLoadImg(_img,_Src,_trueImgSrc){
	var img=new Image();
	img.onload=function(){
		_img.attr("src",_trueImgSrc);
		_img.onload=null;
	};
	
	img.src=_trueImgSrc;
};